Articles of склонный

Я попытался удалить программу с помощью apt-get, но я все еще могу ее использовать

Я попытался удалить emacs через терминал в Lubuntu 15 и его все еще там. Я использовал код: sudo apt-get remove –purge emacs Это произошло раньше с помощью шахматной программы под названием scid. В принципе, после удаления emacs он отображает: sudo apt-get remove –purge emacs Reading package lists… Done Building dependency tree Reading state information… Done […]

Какая польза от различных команд apt?

Может кто-нибудь объяснить, что их использовать? sudo apt-get update sudo apt-get upgrade apt-add-repository и каковы комбинации их использования?

Почему add-apt-repository не может добавить исходные репозитории?

add-apt-repository выдает ошибку, если я пытаюсь добавить исходный репозиторий: Это работает: sudo add-apt-repository 'deb http://dl.ajaxplorer.info/repos/apt squeeze main' Это не с ошибкой: sudo add-apt-repository 'deb-src http://dl.ajaxplorer.info/repos/apt squeeze main' Error: 'deb-src http://dl.ajaxplorer.info/repos/apt squeeze main' invalid Оставляя цитаты не помогает: sudo add-apt-repository deb-src http://dl.ajaxplorer.info/repos/apt squeeze main Error: need a repository as argument

Не удалось разрешить репозитории при запуске apt-get

Я смотрел на это в течение нескольких дней на форумах, и никто, кажется, не удовлетворительный ответ. Я бегаю, полностью по умолчанию. Я неоднократно замечал сообщения «Что-то нечестивое, разрешающее …» для нескольких репозиториев, включая архив Ubuntu по умолчанию. При установке Steam через Центр программного обеспечения он добавляет репозиторий для конкретных пакетов Steam (repo.steampowered.com). При установке Chrome […]

«Нет кандидата на установку» при попытке установить сборку

apt-get install build-essential не работает со следующими ошибками: ~$ sudo apt-get install build-essential Reading package lists… Done Building dependency tree Reading state information… Done Package build-essential is not available, but is referred to by another package. This may mean that the package is missing, has been obsoleted, or is only available from another source E: […]

Почему я приглашаю принять Microsoft EULA при запуске apt-get install?

Всякий раз, когда я использую sudo apt-get install packagename , он начнет установку. Я наберу «Y», когда появится запрос, затем появится: TrueType core fonts for the Web EULA END-USER LICENSE AGREEMENT FOR MICROSOFT SOFTWARE … <Ok> Почему это происходит?

/etc/apt/apt.conf.d/ priority – перенаправить файл конфигурации?

Папка /etc/apt/apt.conf.d/ содержит много файлов. 01autoremove 10periodic 15update-stamp 20archive 20dbus 20packagekit 50unattended-upgrades 70debconf 99synaptic 99update-notifier Что это за номера 01, 10, …, 99? Они подразумевают, что «сначала прочитайте 01, прочитайте 99 последних и позвольте 99 отменять настройки, сделанные в более ранних номерах»? Например, предположим, что есть только одна настройка в 50unattended-upgrade, где я хочу отменить […]

apt-get и -d (только для загрузки) – как насчет пакетов, которые нужно удалить?

Что делает опция -d apt-get делать, когда есть удаляемые пакеты (я получил список действий с –simulate опции –simulate )?

Что означает «ldconfig отложенная обработка сейчас»?

Когда я запускаю apt-get с опцией, устанавливающей пакеты, такие как apt-get install firefox или apt-get dist-upgrade , последняя строка вывода, которую я вижу, обычно ldconfig deferred processing now taking place . Что здесь происходит? Что такое ldconfig и что он делает?

FrostWire не устанавливает

Когда я пытаюсь установить FrostWire на 14.04 LTS, он говорит: Dependency is not satisfiable: openjdk-8-jre Есть идеи, как это исправить?